package com.ghy.worker.service.impl;

import com.ghy.worker.domain.WorkerTeam;
import com.ghy.worker.mapper.WorkerTeamMapper;
import com.ghy.worker.service.WorkerTeamService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Service
public class WorkerTeamServiceImpl implements WorkerTeamService {

    @Resource
    private WorkerTeamMapper workerTeamMapper;

    @Override
    public List<WorkerTeam> getWorkerTeam(WorkerTeam workerTeam) {
        return workerTeamMapper.getWorkerTeamList(workerTeam);
    }

    @Override
    public int insertWorkerTeam(WorkerTeam workerTeam) {
        return workerTeamMapper.insertWorkerTeam(workerTeam);
    }

    @Override
    public int updateWorkerTeam(WorkerTeam workerTeam) {
        return workerTeamMapper.updateWorkerTeam(workerTeam);
    }

}
